// -*-c++-*-
//===========================================================
//=     University of Illinois at Urbana/Champaign          =
//=     Department of Computer Science                      =
//=     Dr. Dan Roth - Cognitive Computation Group          =
//=                                                         =
//=  Project: Snow                                          =
//=                                                         =
//=   Module: TargetIdSet.h                                 =
//=  Version: 2.1                                           =
//=  Authors: Jeff Rosen and Andrew Carlson                 =
//=     Date: xx/xx/99                                      = 
//=                                                         =
//= Comments:                                               =
//===========================================================

#ifndef __TARGETIDSET_H__
#define __TARGETIDSET_H__

#include "SnowTypes.h"
#include <set>

using namespace std;

class TargetIdSet : public set<FeatureID>
{
public:

    bool Parse( const char* in );

    // Information and debugging support (Output to the terminal)
    void Show();
};

#endif

